import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { EditFormModule } from '@widget/qj/start-form-form/start-form-form.module';
import {QJMobWFStartViewPage} from './qjmob-wfstart-view.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: QJMobWFStartViewPage}])
  ],
  exports:[RouterModule]
})
export class QJMobWFStartViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    QJMobWFStartViewRouteModule,
    EditFormModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [QJMobWFStartViewPage],
  entryComponents:[QJMobWFStartViewPage],
  exports:[QJMobWFStartViewPage]
})
export class QJMobWFStartViewModule {}
